
Installer - Bug #26323

pulp celery worker stuck when forking new thread and reconnecting to mongo, remove max tasks

per child

03/12/2019 03:21 PM - Chris Roberts

Status: Closed   

Priority: High   

Assignee: Chris Roberts   

Category: Foreman modules   

Target version:    

Difficulty: easy Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link: 1656340 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/196,

https://github.com/theforeman/puppet-kat

ello/pull/282,

https://github.com/theforeman/foreman-i

nstaller/pull/327,

https://github.com/theforeman/puppet-pul

p/pull/363

  

Description

We are going to need to update the configuration in Satellite 6.5 to remove the PULP_MAX_TASKS_PER_CHILD setting.

I'd recommend we remove the setting entirely from the file so customers don't mistakenly un-comment it thinking it will help their

situation.

This issue serves as a point to remove that setting from puppet-pulp and the other modules that contain it.

This is not being fixed in Pulp 3 so after talking to Mike McCune we should just remove it all together, more info can be found in the

BZ linked to the issue.

Related issues:

Copied to Installer - Bug #26563: Remove reference of Pulp Max Tasks Per Chil... Closed

Associated revisions

Revision fdca362d - 03/12/2019 08:07 PM - Chris Roberts

Refs #26323 - Remove max_tasks_per_child setting

Revision a48ac1dc - 03/12/2019 08:07 PM - Chris Roberts

Refs #26323 - Remove max_tasks_per_child setting

Revision 09a8a3b5 - 03/12/2019 08:08 PM - Chris Roberts

Fixes #26323 - Remove max_tasks_per_child setting

History

#1 - 03/12/2019 03:24 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulp/pull/362 added

#2 - 03/12/2019 03:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/196 added

#3 - 03/12/2019 03:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/282 added

05/21/2024 1/2



#4 - 03/12/2019 05:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/327 added

#5 - 03/12/2019 09:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset 09a8a3b51dffe65c7146d957461f8b906133d616.

#6 - 04/08/2019 05:43 PM - Chris Roberts

- Copied to Bug #26563: Remove reference of Pulp Max Tasks Per Child in configs added

#7 - 04/17/2019 01:36 PM - Chris Roberts

- Pull request https://github.com/theforeman/puppet-pulp/pull/363 added

- Pull request deleted (https://github.com/theforeman/puppet-pulp/pull/362)

#8 - 04/22/2019 09:13 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added
